package com.hh.holyolm.model;

import java.util.List;

//维修指令
public class CheckItemModel extends  AbsCheckItem{
    String seq;//序号
    String checkContent;//工作内容
    String woker;//工作者
    String checker;//复查者
    String isComplete;//完成情况
    List<WorkRecordModel> recordList;//执行记录
    List<OptCardModel> cardList;//操作卡

    PhotoGroupModel photoGroup; //拍照项

    String checkOppSeq;//检查时机序号
    String checkOpp;//检查时机
    String checkRegionSeq;//检查项目部位序号
    String checkRegion;//检查项目部位
    String checkSeqSeq;//检查顺序序号
    String checkSeq;//检查顺序
    String mainSeq;//检查方法和标准主序号
    String secondarySeq;//检查方法和标准次序号
    String secondaryName;//检查方法和标准次名称
    String checkMethod;//检查方法和标准
    String specialTask; //涉及的特定任务
    String specialCond;//针对典型环境
    String specialMethod;//典型环境下的措施
    String attention;//注意内容
    String warning;//警告内容
    public PhotoGroupModel getPhotoGroup() {
        return photoGroup;
    }

    public void setPhotoGroup(PhotoGroupModel photoGroup) {
        this.photoGroup = photoGroup;
    }

    public String getSeq() {
        return seq;
    }

    public void setSeq(String seq) {
        this.seq = seq;
    }

    public String getCheckContent() {
        return checkContent;
    }

    public void setCheckContent(String checkContent) {
        this.checkContent = checkContent;
    }

    public String getWoker() {
        return woker;
    }

    public void setWoker(String woker) {
        this.woker = woker;
    }

    public String getChecker() {
        return checker;
    }

    public void setChecker(String checker) {
        this.checker = checker;
    }

    public String getIsComplete() {
        return isComplete;
    }

    public void setIsComplete(String isComplete) {
        this.isComplete = isComplete;
    }

    public List<WorkRecordModel> getRecordList() {
        return recordList;
    }

    public void setRecordList(List<WorkRecordModel> recordList) {
        this.recordList = recordList;
    }

    public List<OptCardModel> getCardList() {
        return cardList;
    }

    public void setCardList(List<OptCardModel> cardList) {
        this.cardList = cardList;
    }

    public String getCheckOppSeq() {
        return checkOppSeq;
    }

    public void setCheckOppSeq(String checkOppSeq) {
        this.checkOppSeq = checkOppSeq;
    }

    public String getCheckOpp() {
        return checkOpp;
    }

    public void setCheckOpp(String checkOpp) {
        this.checkOpp = checkOpp;
    }

    public String getCheckRegionSeq() {
        return checkRegionSeq;
    }

    public void setCheckRegionSeq(String checkRegionSeq) {
        this.checkRegionSeq = checkRegionSeq;
    }

    public String getCheckRegion() {
        return checkRegion;
    }

    public void setCheckRegion(String checkRegion) {
        this.checkRegion = checkRegion;
    }

    public String getCheckSeqSeq() {
        return checkSeqSeq;
    }

    public void setCheckSeqSeq(String checkSeqSeq) {
        this.checkSeqSeq = checkSeqSeq;
    }

    public String getCheckSeq() {
        return checkSeq;
    }

    public void setCheckSeq(String checkSeq) {
        this.checkSeq = checkSeq;
    }

    public String getMainSeq() {
        return mainSeq;
    }

    public void setMainSeq(String mainSeq) {
        this.mainSeq = mainSeq;
    }

    public String getSecondarySeq() {
        return secondarySeq;
    }

    public void setSecondarySeq(String secondarySeq) {
        this.secondarySeq = secondarySeq;
    }

    public String getCheckMethod() {
        return checkMethod;
    }

    public void setCheckMethod(String checkMethod) {
        this.checkMethod = checkMethod;
    }

    public String getSpecialCond() {
        return specialCond;
    }

    public void setSpecialCond(String specialCond) {
        this.specialCond = specialCond;
    }

    public String getSpecialMethod() {
        return specialMethod;
    }

    public void setSpecialMethod(String specialMethod) {
        this.specialMethod = specialMethod;
    }

    public String getAttention() {
        return attention;
    }

    public void setAttention(String attention) {
        this.attention = attention;
    }

    public String getWarning() {
        return warning;
    }

    public void setWarning(String warning) {
        this.warning = warning;
    }

    public String getSecondaryName() {
        return secondaryName;
    }

    public void setSecondaryName(String secondaryName) {
        this.secondaryName = secondaryName;
    }

    public String getSpecialTask() {
        return specialTask;
    }

    public void setSpecialTask(String specialTask) {
        this.specialTask = specialTask;
    }
}
